File: rubyzip.gemspec

package info (click to toggle)
ruby-zip 2.0.0-2
  • links: PTS, VCS
  • area: main
  • in suites: bullseye, sid
  • size: 1,044 kB
  • sloc: ruby: 7,886; makefile: 18
file content (31 lines) | stat: -rw-r--r-- 1,463 bytes parent folder | download | duplicates (2)
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
#-*- encoding: utf-8 -*-

lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'zip/version'

Gem::Specification.new do |s|
  s.name                  = 'rubyzip'
  s.version               = ::Zip::VERSION
  s.authors               = ['Alexander Simonov']
  s.email                 = ['alex@simonov.me']
  s.homepage              = 'http://github.com/rubyzip/rubyzip'
  s.platform              = Gem::Platform::RUBY
  s.summary               = 'rubyzip is a ruby module for reading and writing zip files'
  s.files                 = Dir.glob('{samples,lib}/**/*.rb') + %w[README.md TODO Rakefile]
  s.require_paths         = ['lib']
  s.license               = 'BSD 2-Clause'
  s.metadata              = {
    'bug_tracker_uri'   => 'https://github.com/rubyzip/rubyzip/issues',
    'changelog_uri'     => "https://github.com/rubyzip/rubyzip/blob/v#{s.version}/Changelog.md",
    'documentation_uri' => "https://www.rubydoc.info/gems/rubyzip/#{s.version}",
    'source_code_uri'   => "https://github.com/rubyzip/rubyzip/tree/v#{s.version}",
    'wiki_uri'          => 'https://github.com/rubyzip/rubyzip/wiki'
  }
  s.required_ruby_version = '>= 2.4'
  s.add_development_dependency 'rake', '~> 10.3'
  s.add_development_dependency 'pry', '~> 0.10'
  s.add_development_dependency 'minitest', '~> 5.4'
  s.add_development_dependency 'coveralls', '~> 0.7'
  s.add_development_dependency 'rubocop', '~> 0.49.1'
end